지정된 프로젝트 에 대한 유지 관리 기간 의 자동 연기를 토글합니다. 자동 연기가 활성화되면 모든 유지 관리 기간이 일주일 동안 연기됩니다. 이 엔드포인트는 PATCH /maintenanceWindow 엔드포인트의 autoDeferOnceEnabled 필드 와 동일한 기본 기능 제어합니다. 차이점은 이 엔드포인트는 현재 값을 토글하고(활성화에서 비활성화로 또는 그 반대로 전환) autoDeferOnceEnabled 필드 사용하면 특정 값을 설정하다 수 있다는 것입니다. 대부분의 사용 사례에서는 토글하는 대신 명시적 값을 설정할 수 있으므로 autoDeferOnceEnabled 이 포함된 PATCH 엔드포인트를 사용하는 것이 좋습니다. 이 리소스 사용하려면 요청하는 서비스 계정 또는 API 키에 프로젝트 소유자 역할 있어야 합니다.
경로 매개변수
-
프로젝트 식별하는 고유한 24-16진수 문자열입니다. 인증된 사용자가 액세스 할 수 있는 모든 프로젝트를 조회 하려면 /groups 엔드포인트를 사용합니다.
참고: 그룹과 프로젝트는 동의어입니다. 그룹 ID는 프로젝트 ID와 동일합니다. 기존 그룹의 경우, 그룹/프로젝트 ID는 동일하게 유지됩니다. 리소스 및 해당 엔드포인트는 그룹이라는 용어를 사용합니다.
형식은
^([a-f0-9]{24})$패턴 과 일치해야 합니다.
POST /API/Atlas/v1.0/groups/{groupId}/maintenanceWindow/autoDefer
curl \
--request POST 'https://cloud.mongodb.com/api/atlas/v1.0/groups/32b6e34b3d91647abb20e7b8/maintenanceWindow/autoDefer' \
--header "Authorization: Bearer $ACCESS_TOKEN"
응답 예시(400)
{
"error": 400,
"detail": "(This is just an example, the exception may not be related to this endpoint) No provider AWS exists.",
"reason": "Bad Request",
"errorCode": "VALIDATION_ERROR"
}
응답 예시(401)
{
"error": 401,
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"reason": "Unauthorized",
"errorCode": "NOT_ORG_GROUP_CREATOR"
}
응답 예시(403)
{
"error": 403,
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"reason": "Forbidden",
"errorCode": "CANNOT_CHANGE_GROUP_NAME"
}
응답 예시(404)
{
"error": 404,
"detail": "(This is just an example, the exception may not be related to this endpoint) Cannot find resource AWS",
"reason": "Not Found",
"errorCode": "RESOURCE_NOT_FOUND"
}
응답 예시(500)
{
"error": 500,
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"reason": "Internal Server Error",
"errorCode": "UNEXPECTED_ERROR"
}